--- 4.5.19/exim.conf-SpamBlockerTechnology-v4.5.19.txt	2020-01-09 07:11:20.198635803 -0700
+++ 4.5.20/exim.conf-SpamBlockerTechnology-v4.5.20.txt	2020-01-13 12:04:10.254346673 -0700
@@ -1,4 +1,4 @@
-# SpamBlockerTechnology* powered exim.conf, Version 4.5.19
+# SpamBlockerTechnology* powered exim.conf, Version 4.5.20
 # August 15, 2018
 # Exim configuration file for DirectAdmin
 # Requires exim.pl as distributed by DirectAdmin here:
@@ -200,6 +200,7 @@
 acl_connect:
   warn set acl_c_spam_assassin_has_run = 0
   warn set acl_m_is_whitelisted = 0
+  warn set acl_c_accept_recipient_if_whitelisted = 1
   .include_if_exists /etc/exim.easy_spam_fighter/connect.conf
   accept hosts = *
 
@@ -374,7 +375,13 @@
 
   .include_if_exists /etc/exim.easy_spam_fighter/check_rcpt.mid.conf
 
+  # Deny if the recipient doesn't exist:
+    deny message = NO_SUCH_RECIPIENT
+         domains = +local_domains
+        !verify = recipient
+
   accept  condition = ${if eq{$acl_m_is_whitelisted}{1}{1}{0}}
+          condition = ${if eq{$acl_c_accept_recipient_if_whitelisted}{1}}
 
   .include_if_exists /etc/exim.acl_check_recipient.mid.conf
 
@@ -394,10 +401,6 @@
        domains = !+relay_domains
 	   !authenticated = *
 
-  # Deny if the recipient doesn't exist:
-    deny message = NO_SUCH_RECIPIENT
-         domains = +local_domains
-	 !verify = recipient
   # Remaining Mailer-Daemon messages must be for us
     accept senders = :
 	   domains = +relay_domains
